# -*- coding: utf-8 -*-
"""
select_img.py
"""
import numpy as np
import cv2
def saveim(frame,name,nb) :
    #save an image on the disk
    # frame : image
    # name : image name without extension
    # nb frame number into the avifile
    # save the image with name image+_nb.jpg
    strnb = "{0:05d}".format(nb)
    filename = name + '_' + strnb + '.jpg'
    print("writing image : "+ filename)
    cv2.imwrite(filename,frame)
def saveimst(path,frame1,frame2,name,nb) :
    #save a stereo pair of images on the disk
    # path: (must contents cam1 and cam2 subdirectories)
    # frame1 : image from camera 1
    # frame2 : image from camera 2
    # name : image name without extension
    # nb frame number into the avifile
    # save the image with name image+_nb.jpg
    strnb = "{0:05d}".format(nb)
    filename1 = path + '/cam1/' + name + '_' + strnb + '.jpg'
    filename2 = path + '/cam2/' + name + '_' + strnb + '.jpg'
    print("writing image : "+ filename)
    cv2.imwrite(filename1,frame1)
    cv2.imwrite(filename2,frame2)
## MAIN
if __name__ == '__main__':
    path = 'images/'
    filename = 'img'
    ext = '.avi'
    #cap = cv2.VideoCapture(path + filename+ ext) # for video file
    cap = cv2.VideoCapture(0) # for live camera
    # set resolution for Z camera
    cap.set(3, 640)
    cap.set(4, 480)
    first_frame = 1 # define first frame
    current_frame = 0
    capturing = 0
    while(cap.isOpened()):
        # get vcap property 
        width = int(cap.get(cv2.CAP_PROP_FRAME_WIDTH))   # float
        height = int(cap.get(cv2.CAP_PROP_FRAME_HEIGHT)) # float
        print("width : ", width, " - height", height)
        ret, frame = cap.read()
        print('frame : ', current_frame)
        if ret == False :
            print("End of Avi file")
            break
        if current_frame >= first_frame  :
            rows,cols,channels = frame.shape
            print("frame shape",frame.shape)
            cv2.imshow('Camera',frame)
            # press q to exit, c to capture and n to next frame
            #waiting for a key
            #print('Waiting for a key')
            k = cv2.waitKey(0)
            if ord('q')==k:
                print("end")
                break
            # press c to capture
            if ord('c')==k:
                print("capture file")
                saveim(frame,filename,current_frame)
            # press n to next frame
            if ord('n')==k:
                pass
        current_frame=current_frame+1
    cap.release()
    cv2.destroyAllWindows()


